# Glossary
[Home](readme.md)

A list of terms and their definitions can be found below

* **ADS** - *Azure Data Studio* is a desktop tool for managing Azure Data resources in the cloud, on-premises, or hybrid environments. 
* **ADS Notebook** - Feature of ADS that enables creating, sharing text alongside code blocks for execution with various Notebook kernels.
* **API** - *application programming interface*, a standard way for computers to interact programmatically such as through a web service or other function. 
* **Azure** - a cloud computing service created by Microsoft.
* **Azure Batch** - an Azure service that enables high performance parallel computing tasks in the cloud.
* **Azure Blob Storage** - an Azure storage service used to store unstructured data as Binary Large Objects or BLOBs
* **Azure CLI** - Azure *command line interface*, a useful desktop library to interact with Azure resources from the command line
* **Azure Region** - Azure data centers are separated by geography into regions in order to ensure low-latency and security
* **Azure Resource Group** - a logical container of Azure resources for management of Azure resources within it 
* **Azure SQL Database** - an Azure based version of SQL database offered as a PaaS 
* **Azure SQL Managed Instance** - a PaaS Azure offer for SQL Server that is ran on Azure infrastructure. Microsoft will manage the complexities of the infrastructure for the user
* **Azure SQL Virtual Machine (VM)** - a IaaS Azure offer for SQL Server that is ran on Azure infrastructure. Microsoft will manage the complexities of the infrastructure for the user
* **Azure Storage Account** - provides a unique namespace in Azure which forms the basis for addressing objects in Azure Storage
* **Azure Storage SKU** - a *stock keeping unit* or SKU is a product unit designation that distinguishes between the product and other products based on its attributes such as manufacturer, description, and product type. (see <a href="appendices.md">Appendices</a> for a list of Storage SKU types) 
* **Azure Subscription** - associates a user with Azure resources created by that user
* **CLI** - *command line interface*, allows execution of programs using textual processing line-by-line which is useful for automation using scripts or pasted input. 
* **HADR** - *High Availability, Disaster Recovery* HA is the degree which a system is functional for customers. DR is a set of processes, techniques, and methodologies that ensure fault tolerance following natural and man-made disasters.
* **IaaS** - *infrastructure-as-a-Service* a cloud service that allows provisioning and managing of infrastructure over the web
* **Jupyter Book** - A collection of Jupyter Notebooks bound with a table of contents to define a notebook structure.
* **Jupyter Kernel** - a wrapper program that handles requests for executing and inspecting code in a Notebook
* **Juptyer Notebook** - an open source web application that is the underlying technology for ADS Notebooks that features live code, equations, and visualizations alongside narrative text. 
* **Juptyer Project** - a non-profit, OSS project that supports interactive data science computing across all programming languages
* **Markdown** - lightweight markup language with text formatting widely used in web documents
* **Microsoft PowerShell** - a task automation and configuration management framework. ADS Notebooks feature a PowerShell kernel in order to interface with the PS environment. PS is often used by systems engineers and admins. 
* **Offline Migration** - moving data between environments in a manner that is disruptive to the operation of the database, usually when a system is able to tolerate the downtime required as a trade-off for simplicity
* **OSS** - *open source software* is a decentralized software development model that encourages open collaboration and sharing.   
* **PaaS** - *Platform-as-a-Service* is a cloud service that allows the use of an application without the complexity of building and maintaining the hardware infrastructure required by the application
* **Point-to-Site (P2S) VPN** - a VPN solution that allows a secure connection from an individual client computer to a remote network on the VPN. 
* **Python** - an interpreted high level OSS programming language often used by data scientists 
* **Site-to-Site (S2S) VPN** - a VPN connection created between two sites, usually over the public Internet or a WAN connection. Normally requires a network adminstrator to setup and configure. 
* **SQL Assessment API** - evaluates a SQL instance configuration for best practices
* **SQL Virtual Machine** - an IaaS Azure offer that provisions and manages virtual machine with SQL Server installed
* **SMO** - SQL Management Objects are "objects designed for programmatic management of Microsoft SQL Server" ([Microsoft](https://docs.microsoft.com/en-us/sql/relational-databases/server-management-objects-smo/overview-smo))
* **VPN** - a *virtual private network* is a collection of computing resources that organizes and extends a private network configuration over the public Internet, normally using some kind of encryption for security and privacy. 