# Module linguistique français pour Azure Data Studio

Le module linguistique français fournit une expérience d'interface utilisateur localisée pour Azure Data Studio.

## Utilisation

Vous pouvez remplacer la langue d'IU par défaut en définissant explicitement la langue d'affichage de Azure Data Studio à l'aide de la commande Configurer la langue d'affichage.
Appuyez sur Ctrl+Maj+P pour faire apparaître la Palette de commandes, puis commencez à taper "afficher" pour filtrer le contenu et afficher la commande Configurer la langue d'affichage.
Appuyez sur Entrée pour afficher une liste de langues installées en fonction des paramètres régionaux. Les paramètres régionaux actuels sont en surbrillance. Sélectionnez une autre entrée relative aux paramètres régionaux pour changer de langue d'IU.

Consultez la [documentation](https://go.microsoft.com/fwlink/?LinkId=761051) pour plus d'informations.

## Contribution

Les chaînes de traduction sont gérées dans le projet « DevTools - Azure Data Studio » de la Plateforme de la communauté de traduction Microsoft (MLCP).

Si vous souhaitez participer à l'effort de contribution ou d'amélioration des traductions, consultez la [page de la communauté de traduction](https://aka.ms/vscodeloc) pour plus d'informations.

## Licence

Le code source et les chaînes sont concédés sous la licence [SOURCE EULA](https://github.com/Microsoft/azuredatastudio/blob/master/LICENSE.txt).

## Crédits

Le module linguistique français vous est offert dans le cadre de l'effort de localisation de la communauté "Par la communauté, pour la communauté".

Nous remercions particulièrement les contributeurs de la communauté de l'avoir rendu disponible.

**Principaux contributeurs :**

* Antoine Griffard : 22 000 mots localisés. 60 % du total du volume de nouvelles traductions depuis que nous avons ouvert la localisation à la communauté.

**Contributeurs :**

* Bruno Lewin
* Adrien Clerbois
* Thierry DEMAN-BARCELO
* Jonathan Menzel
* JP Gouigoux
* Vincent Biret
* Guillaume Bauer
* Jean-Paul Rouzé
* Smrman
* MayakoLyyn
* Louis Turpinat
* Quentin BRETON
* Jean Cuteaux
* Nicholas Suter
* Gabriel Dugny
* Grégoire Roussel
* Julien Brochet
* Maxime COQUEREL
* Alain BUFERNE
* Etienne Blanc-Coquand

**Profitez-en !**

# French Language Pack for Azure Data Studio

French Language Pack provides localized UI experience for Azure Data Studio.

## Usage

You can override the default UI language by explicitly setting the Azure Data Studio display language using the **Configure Display Language** command.

Press `Ctrl+Shift+P` to bring up the **Command Palette** then start typing `display` to filter and display the **Configure Display Language** command.

Press `Enter` and a list of installed languages by locale is displayed, with the current locale highlighted. Select another `locale` to switch UI language.

See [Docs](https://go.microsoft.com/fwlink/?LinkId=761051) for more information.

## Contributing

For feedback of translation improvement, please create Issue in [vscode-loc](https://github.com/microsoft/vscode-loc) repo.

The translation strings are maintained in Microsoft Localization Platform. Change can only be made in Microsoft Localization Platform then export to vscode-loc repo. So pull request won't be accepted in vscode-loc repo.

## License

The source code and strings are licensed under the [SOURCE EULA](https://github.com/Microsoft/azuredatastudio/blob/master/LICENSE.txt).

## Credits

French Language Pack had received contribution through "By the community, for the community" community localization effort. 

Special thanks to community contributors for making it available.

**Top Contributors:**

* Antoine Griffard: localized 22k words. 60% of the total new translation volume since we opened localization to community.

**Contributors:**

* Bruno Lewin
* Adrien Clerbois
* Thierry DEMAN-BARCELO
* Jonathan Menzel
* JP Gouigoux
* Vincent Biret
* Guillaume Bauer
* Jean-Paul Rouzé
* Smrman
* MayakoLyyn
* Louis Turpinat
* Quentin BRETON
* Jean Cuteaux
* Nicholas Suter
* Gabriel Dugny
* Grégoire Roussel
* Julien Brochet
* Maxime COQUEREL
* Alain BUFERNE
* Etienne Blanc-Coquand

**Enjoy!**
